



SET VLQ=-q-1
SET VLB=-b 48
SET VLG=-b 999
SET VLM=-m1

@rem SET VLQ=-q4
@rem SET VLB=-b 128
@rem SET VLG=-b 999
@rem SET VLM=-m1

@rem -------------------------------------------------------------------------

@rem  VLM	Official beta 2
@rem  VLB	Official beta 3 / beta 4 / RC1 / RC2
@rem  VLG	Garf Tune 1 / 2
@rem  VLQ	other

@rem  bitrate VLQ(aoTuV) VLM     VLB/VLG
@rem  
@rem   32kbps     (-q-2)                
@rem   45kbps -q-1                 -b 45
@rem   48kbps     (-q-1)           -b 48
@rem   64kbps  -q0 (-q0)           -b 64
@rem   80kbps  -q1 (-q1)           -b 80
@rem   96kbps  -q2 (-q2)           -b 96
@rem  112kbps  -q3 (-q3)          -b 112
@rem  128kbps  -q4 (-q4) -m1/-m2  -b 128
@rem  160kbps  -q5 (-q5)     -m3  -b 160
@rem  192kbps  -q6 (-q6)     -m4  -b 192
@rem  224kbps  -q7 (-q7)          -b 224
@rem  256kbps  -q8 (-q8)     -m5  -b 256
@rem  320kbps  -q9 (-q9)     -m6  -b 320
@rem  500kbps -q10(-q10)          -b 500
@rem  
@rem (44.1/48kHz stereo)

@rem -------------------------------------------------------------------------

@rem oggenc_xxx %VLQ% %1 -o "%~d1%~p1%~n1_xxx.ogg"

@rem download\encoder_xxx.exe %VLQ% %1
@rem move "%~1.ogg" "%~d1%~p1%~n1_xxx.ogg"

@rem -------------------------------------------------------------------------

%~d0
cd "%~p0"

@rem -------------------------------------------------------------------------

   build\vorbize_b1.exe %1 -w "%~d1%~p1%~n1_b1.ogg"
   build\oggenc_b2.exe %VLM% %1 -o "%~d1%~p1%~n1_b2.ogg"
   build\oggenc_b3.exe %VLB% %1 -o "%~d1%~p1%~n1_b3.ogg"
   build\oggenc_b4.exe %VLB% %1 -o "%~d1%~p1%~n1_b4.ogg"
   build\oggenc_RC1.exe %VLB% %1 -o "%~d1%~p1%~n1_RC1.ogg"
   build\oggenc_RC2.exe %VLB% %1 -o "%~d1%~p1%~n1_RC2.ogg"
download\oggenc_RC3.exe %VLQ% %1 -o "%~d1%~p1%~n1_RC3.ogg"
download\oggenc_RC4.exe %VLQ% %1 -o "%~d1%~p1%~n1_RC4.ogg"
   build\oggenc_1.0.0.exe %VLQ% %1 -o "%~d1%~p1%~n1_1.0.0.ogg"
   build\oggenc_1.0.1.exe %VLQ% %1 -o "%~d1%~p1%~n1_1.0.1.ogg"
   build\oggenc_1.1.0.exe %VLQ% %1 -o "%~d1%~p1%~n1_1.1.0.ogg"
   build\oggenc_1.1.1.exe %VLQ% %1 -o "%~d1%~p1%~n1_1.1.1.ogg"
   build\oggenc_1.1.2.exe %VLQ% %1 -o "%~d1%~p1%~n1_1.1.2.ogg"
download\encoder_aoTuV_a1.exe %VLQ% %1
move "%~1.ogg" "%~d1%~p1%~n1_aoTuV_a1.ogg"
download\encoder_aoTuV_a2.exe %VLQ% %1
move "%~1.ogg" "%~d1%~p1%~n1_aoTuV_a2.ogg"
download\encoder_aoTuV_a3.exe %VLQ% %1
move "%~1.ogg" "%~d1%~p1%~n1_aoTuV_a3.ogg"
download\encoder_aoTuV_b1.exe %VLQ% %1
move "%~1.ogg" "%~d1%~p1%~n1_aoTuV_b1.ogg"
   build\oggenc_aoTuV_b1a.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b1a.ogg"
   build\oggenc_aoTuV_b2.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b2.ogg"
   build\oggenc_aoTuV_b3.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b3.ogg"
   build\oggenc_aoTuV_b4a.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b4a.ogg"
   build\oggenc_aoTuV_b4b.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b4b.ogg"
   build\oggenc_aoTuV_b5.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_b5.ogg"
   build\oggenc_aoTuV_r1.exe %VLQ% %1 -o "%~d1%~p1%~n1_aoTuV_r1.ogg"
   build\oggenc_GT1.exe %VLG% %1 -o "%~d1%~p1%~n1_GT1.ogg"
   build\oggenc_GT2.exe %VLG% %1 -o "%~d1%~p1%~n1_GT2.ogg"
   build\oggenc_GT3_b1.exe %VLQ% %1 -o "%~d1%~p1%~n1_GT3_b1.ogg"
   build\oggenc_GT3_b2.exe %VLQ% %1 -o "%~d1%~p1%~n1_GT3_b2.ogg"
   build\oggenc_MT_b1.exe %VLQ% %1 -o "%~d1%~p1%~n1_MT_b1.ogg"
   build\oggenc_MT_b2.exe %VLQ% %1 -o "%~d1%~p1%~n1_MT_b2.ogg"
   build\oggenc_MT_b3.exe %VLQ% %1 -o "%~d1%~p1%~n1_MT_b3.ogg"
   build\oggenc_QKT_3.2.exe %VLQ% %1 -o "%~d1%~p1%~n1_QKT_3.2.ogg"
download\oggenc_QKT_20050227.exe %VLQ% %1 -o "%~d1%~p1%~n1_QKT_20050227.ogg"
download\oggenc_QKT_20050228.exe %VLQ% %1 -o "%~d1%~p1%~n1_QKT_20050228.ogg"
   build\oggenc_Megamix.exe %VLQ% %1 -o "%~d1%~p1%~n1_Megamix.ogg"
download\oggenc_Megamix_fix.exe %VLQ% %1 -o "%~d1%~p1%~n1_Megamix_fix.ogg"
   build\oggenc_Megamix_2.0.exe %VLQ% %1 -o "%~d1%~p1%~n1_Megamix_2.0.ogg"
download\oggenc_Megamix_2.1.exe %VLQ% %1 -o "%~d1%~p1%~n1_Megamix_2.1.ogg"
   build\oggenc_ITPS.exe %VLQ% %1 -o "%~d1%~p1%~n1_ITPS.ogg" --advanced-encode-option impulse_trigger_profile=Y

